/*
 * Example for MCP73213 click
 *
 * Date         Mar 2017
 * Author       Djordje Rosic
 * Copyright    GNU Public License v2
 *
 * Test configuration FT90x :
 *  MCU           :        FT900
 *  Dev. Board    :        EasyFT90x
 *  SW            :        mikroC PRO for FT90x v2.2.1
 *
 * NOTES:
 * - Test the example either by connecting input voltage to VIN, load to VOUT
 * and measuring VOUT current, or by checking the resistance between P0A and
 * P0W pins on the digital potentiometer. Second method can be done without
 * power supply to VIN.
 ******************************************************************************/

sbit Chip_Select at GPIO_PIN28_bit;
void main() {
      /*Sets chip select*/
      GPIO_Digital_Output(&GPIO_PORT_24_31, _GPIO_PINMASK_4);

      /*Initializes SPI interface*/
      SPIM1_Init_Advanced(_SPI_MASTER_CLK_RATIO_256,
       _SPI_CFG_PHASE_CAPTURE_RISING | _SPI_CFG_POLARITY_IDLE_LOW | 
       _SPI_CFG_SS_AUTO_DISABLE | _SPI_CFG_FIFO_DISABLE, _SPI_SS_LINE_NONE);


      
      /*Sets chip select to inactive*/
      Chip_Select = 1;

      Delay_ms(3000);


/*
 * Click controls output current using internal digital potentiometer.
 * This example sets the resistance to a given value, thus affecting the
 * output current.
 */


      //10 kOhm, 130mA
      Chip_Select = 0;       /*Sets chip select to active*/
      Delay_us( 10 );
      SPIM_Write(0b00000000);  /*Writes the first command byte*/
      SPIM_Write(0b00000000);  /*Writes the second command byte*/
      Chip_Select = 1;       /*Sets chip select to inactive*/
      Delay_ms(5000);

      /*Some other values for output current, uncomment to try them
      //5 kOhm, 250mA
      Chip_Select = 0;
      SPIM_Write(0b00000000);
      SPIM_Write(0b10000010);
      Chip_Select = 1;
      Delay_ms(5000);

      //1 kOhm, 1100mA
      Chip_Select = 0;
      SPIM_Write(0b00000000);
      SPIM_Write(0b11101001);
      Chip_Select = 1;
      Delay_ms(5000);

      //2,1 kOhm, 550mA
      Chip_Select = 0;
      SPIM_Write(0b00000000);
      SPIM_Write(0b11001100);
      Chip_Select = 1;
      Delay_ms(5000);   */

}